
TYPO3.Flow - Bug # 1724

Status: Resolved Priority: Must have
Author: Christian Jul Jensen Category: Persistence
Created: 2008-10-15 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Unserialzing of persisted objects will call the __wakeup function
Description

If a user for some reason wants to serializa an object that has been persisted, it will call the persistence frameworks __wakeup
function upon unserializing, which will expect stuff to be available in $GLOBALS and then fail.

I didn't test it, just came across looking into the persistence code.

Associated revisions
Revision 6afab12b - 2009-02-12 15:19 - Karsten Dambekalns
FLOW3:
    -  __wakeup() is no longer handled in a special way in AOP to support persistence, fixes #1724
    -  changed the persistence aspect to no longer attach to __wakeup(), refs #1724
    -  replaced reconstituteObject() by three seperate methods to allow two-step reconstitution, refs #1849
TYPO3CR:
    -  split initialize() into seperate methods in FLOW3 persistence backend
    -  the FLOW3 persistence DataMapper now uses two-step reconstitution allowing to load bidirectional object relations
    -  the FLOW3 persistence DataMapper asks the object Builder to inject setter dependencies during reconstitution, fixes #1849

History
#1 - 2009-02-12 14:21 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2009-02-12 16:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1912.
